Index: /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/Makefile
===================================================================
--- /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/Makefile	(revision 422)
+++ /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/Makefile	(revision 422)
@@ -0,0 +1,4 @@
+include $(CMTROOT)/src/Makefile.header
+
+include $(CMTROOT)/src/constituents.make
+
Index: /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/cleanup.csh
===================================================================
--- /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/cleanup.csh	(revision 422)
+++ /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/cleanup.csh	(revision 422)
@@ -0,0 +1,11 @@
+if ( $?CMTROOT == 0 ) then
+  setenv CMTROOT /usr/local/CMT/v1r20p20090520
+endif
+source ${CMTROOT}/mgr/setup.csh
+set tempfile=`${CMTROOT}/mgr/cmt -quiet build temporary_name`
+if $status != 0 then
+  set tempfile=/tmp/cmt.$$
+endif
+${CMTROOT}/mgr/cmt cleanup -csh -pack=aml -version=v1r0p0 -path=/Users/touze/Public/pspa/Interfaces $* >${tempfile}; source ${tempfile}
+/bin/rm -f ${tempfile}
+
Index: /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/cleanup.sh
===================================================================
--- /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/cleanup.sh	(revision 422)
+++ /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/cleanup.sh	(revision 422)
@@ -0,0 +1,9 @@
+if test "${CMTROOT}" = ""; then
+  CMTROOT=/usr/local/CMT/v1r20p20090520; export CMTROOT
+fi
+. ${CMTROOT}/mgr/setup.sh
+tempfile=`${CMTROOT}/mgr/cmt -quiet build temporary_name`
+if test ! $? = 0 ; then tempfile=/tmp/cmt.$$; fi
+${CMTROOT}/mgr/cmt cleanup -sh -pack=aml -version=v1r0p0 -path=/Users/touze/Public/pspa/Interfaces $* >${tempfile}; . ${tempfile}
+/bin/rm -f ${tempfile}
+
Index: /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/requirements
===================================================================
--- /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/requirements	(revision 422)
+++ /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/requirements	(revision 422)
@@ -0,0 +1,27 @@
+package aml
+version v1r0p0
+
+use thread v1r0p0 Interfaces
+
+build_strategy no_prototypes
+include_path none
+
+
+macro aml_home "" \
+      Darwin "/usr/local/accelerator-ml-code" \
+      Linux  "/usr/local/accelerator-ml-code/uap/trunk"
+
+macro aml_cflags   "" \
+      Darwin " -I $(aml_home) -I/usr/local/include" \
+      Linux  " -I $(aml_home) -I/usr/include"
+macro aml_cppflags "" \
+      Darwin " -I $(aml_home) -I/usr/local/include" \
+      Linux  " -I $(aml_home) -I/usr/include"
+
+macro aml_linkopts "" \
+      Darwin " -L${aml_home}/lib/ -lantlr -luap -L/usr/local/lib -lxerces-c-3.1"\
+      Linux  " -L${aml_home}/lib/ -lantlr -luap -L/usr/lib -lxerces-c"
+
+path_append DYLD_LIBRARY_PATH "" \
+      Darwin "/usr/local/lib" \
+      Linux  "/usr/lib" 
Index: /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/setup.csh
===================================================================
--- /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/setup.csh	(revision 422)
+++ /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/setup.csh	(revision 422)
@@ -0,0 +1,14 @@
+# echo "Setting aml v1r0p0 in /Users/touze/Public/pspa/Interfaces"
+
+if ( $?CMTROOT == 0 ) then
+  setenv CMTROOT /usr/local/CMT/v1r20p20090520
+endif
+source ${CMTROOT}/mgr/setup.csh
+
+set tempfile=`${CMTROOT}/mgr/cmt -quiet build temporary_name`
+if $status != 0 then
+  set tempfile=/tmp/cmt.$$
+endif
+${CMTROOT}/mgr/cmt setup -csh -pack=aml -version=v1r0p0 -path=/Users/touze/Public/pspa/Interfaces  -no_cleanup $* >${tempfile}; source ${tempfile}
+/bin/rm -f ${tempfile}
+
Index: /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/setup.sh
===================================================================
--- /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/setup.sh	(revision 422)
+++ /Interface_Web/trunk/Interfaces/aml/v1r0p0/cmt/setup.sh	(revision 422)
@@ -0,0 +1,12 @@
+# echo "Setting aml v1r0p0 in /Users/touze/Public/pspa/Interfaces"
+
+if test "${CMTROOT}" = ""; then
+  CMTROOT=/usr/local/CMT/v1r20p20090520; export CMTROOT
+fi
+. ${CMTROOT}/mgr/setup.sh
+
+tempfile=`${CMTROOT}/mgr/cmt -quiet build temporary_name`
+if test ! $? = 0 ; then tempfile=/tmp/cmt.$$; fi
+${CMTROOT}/mgr/cmt setup -sh -pack=aml -version=v1r0p0 -path=/Users/touze/Public/pspa/Interfaces  -no_cleanup $* >${tempfile}; . ${tempfile}
+/bin/rm -f ${tempfile}
+