Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc	(revision 426)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc	(revision 427)
@@ -13,46 +13,38 @@
 
 
-GWt_console::GWt_console()
-:WContainerWidget()
+GWt_console::GWt_console() : WContainerWidget()
 {
-    setObjectName("console");
+  setObjectName("console");
 
-
-    // la ligne de search
-    Wt::WContainerWidget *searchContainer = new Wt::WContainerWidget();
+  // la ligne de search
+  Wt::WContainerWidget *searchContainer = new Wt::WContainerWidget();
     
-    Wt::WLabel *label = new Wt::WLabel("Search ", searchContainer);
-    searchLineEdit_ = new Wt::WLineEdit("", searchContainer);
-    searchLineEdit_->setToolTip("clic here to search a string in the output");
+  Wt::WLabel *label = new Wt::WLabel("Search ", searchContainer);
+  searchLineEdit_ = new Wt::WLineEdit("", searchContainer);
+  searchLineEdit_->setToolTip("clic here to search a string in the output");
     
-    // le panel
-    WPanel *panelConsole = new WPanel(this);
-    panelConsole->setTitle(" output");
-
-    WScrollArea* scrollContainer = new  WScrollArea();
-    
-
-    outputCurrent_ = new WText(this);
-    outputCurrent_->setTextFormat(Wt::XHTMLText);
-    outputCurrent_->setInline(false);
-    outputCurrent_->setMaximumSize(750,400);
-
-    scrollContainer->setWidget(outputCurrent_);
-    scrollContainer->setStyleClass("scrollConsole");
-
-    Wt::WContainerWidget *panelContainer = new Wt::WContainerWidget();
-    Wt::WVBoxLayout* vContainerLayout = new Wt::WVBoxLayout();
-
-    vContainerLayout->addWidget(searchContainer);
-    vContainerLayout->addWidget(scrollContainer);
-
-
-    panelContainer->setLayout(vContainerLayout);
-    panelConsole->setCentralWidget(panelContainer);
-
-    // signals
-    searchLineEdit_->keyWentUp ().connect(this, &GWt_console::searchFilter);
+  // le panel
+  WPanel *panelConsole = new WPanel(this);
+  panelConsole->setTitle(" output");
+  
+  WScrollArea* scrollContainer = new WScrollArea();
+  
+  outputCurrent_ = new WText(this);
+  outputCurrent_->setTextFormat(Wt::XHTMLText);
+  outputCurrent_->setInline(false);
+  outputCurrent_->setMaximumSize(750,400);
+  scrollContainer->setWidget(outputCurrent_);
+  scrollContainer->setStyleClass("scrollConsole");
+  
+  Wt::WContainerWidget *panelContainer = new Wt::WContainerWidget();
+  Wt::WVBoxLayout* vContainerLayout = new Wt::WVBoxLayout();
+  vContainerLayout->addWidget(searchContainer);
+  vContainerLayout->addWidget(scrollContainer);
+  panelContainer->setLayout(vContainerLayout);
+  panelConsole->setCentralWidget(panelContainer);
+  
+  // signals
+  searchLineEdit_->keyWentUp ().connect(this,&GWt_console::searchFilter);
 }
-
 
 GWt_console::~GWt_console()
@@ -60,64 +52,63 @@
 }
 
-
 void GWt_console::searchFilter() {
-
-    std::string br = "<br />";
+  
+  std::string br = "<br />";
+  
+  std::string txt = searchLineEdit_->text().toUTF8 ();
+  if (searchLineEdit_->text() == "") {
+    outputCurrent_->setText(outputOriginal_);
+    outputCurrent_->setTextFormat(Wt::XHTMLText);
+    return;
+  }
+  
+  std::string outputStr = outputOriginal_.toUTF8();
+  std::string outputFinal = "";
+  
+  // look for lines that contains the seacrh string
+  bool end = false;
+  int nextPos = 0;
+  int nextPosTxt = 0;
+  int lineNumber = 0;
+  std::string beginStr;
+  std::string endStr;
+  
+  // loop on all lines
+  while (end == false) {
+    lineNumber++;
     
-    std::string txt = searchLineEdit_->text().toUTF8 ();
-    if (searchLineEdit_->text() == "") {
-        outputCurrent_->setText(outputOriginal_);
-        outputCurrent_->setTextFormat(Wt::XHTMLText);
-        return;
-    }
+    nextPos = outputStr.find(br);
     
-    std::string outputStr = outputOriginal_.toUTF8();
-    std::string outputFinal = "";
-    
-    // look for lines that contains the seacrh string
-    bool end = false;
-    int nextPos = 0;
-    int nextPosTxt = 0;
-    int lineNumber = 0;
-    std::string beginStr;
-    std::string endStr;
-    
-    // loop on all lines
-    while (end == false) {
-        lineNumber++;
+    // if this line contains the token
+    if (nextPos != std::string::npos) {
+      beginStr = outputStr.substr(0,nextPos);
+      endStr = outputStr.substr(nextPos+br.size());
+      outputStr = endStr;
+      
+      
+      // colorize for all token
+      bool lineEnd = false;
+      std::string colorizeTxt = "";
+      while (lineEnd == false) {
+	nextPosTxt = beginStr.find(txt);
         
-        nextPos = outputStr.find(br);
-        
-        // if this line contains the token
-        if (nextPos != std::string::npos) {
-            beginStr = outputStr.substr(0,nextPos);
-            endStr = outputStr.substr(nextPos+br.size());
-            outputStr = endStr;
-
-
-            // colorize for all token
-            bool lineEnd = false;
-            std::string colorizeTxt = "";
-            while (lineEnd == false) {
-                nextPosTxt = beginStr.find(txt);
-                
-                if (nextPosTxt != std::string::npos) {
-                    colorizeTxt += beginStr.substr(0,nextPosTxt)+
-                    std::string("<b><font style='background-color:yellow;'>")+
-                    txt+
-                    std::string("</font></b>");
-                    beginStr = beginStr.substr(nextPosTxt+txt.size());
-                    
-                } else if (colorizeTxt != "") {
-                    colorizeTxt += beginStr;
-                    lineEnd = true;
-                } else {
-                    lineEnd = true;
-                }
-            }
-            if (colorizeTxt != "") {
-                std::stringstream ss;
-                ss << lineNumber;
-                outputFinal += std::string("<font color='gray'>line ")+ss.str()+" : </font>"+colorizeTxt+br;
+	if (nextPosTxt != std::string::npos) {
+	  colorizeTxt += beginStr.substr(0,nextPosTxt)+
+	    std::string("<b><font style='background-color:yellow;'>")+
+	    txt+
+	    std::string("</font></b>");
+	  beginStr = beginStr.substr(nextPosTxt+txt.size());
+          
+	} else if (colorizeTxt != "") {
+	  colorizeTxt += beginStr;
+	  lineEnd = true;
+	} else {
+	  lineEnd = true;
+	}
+      }
+      if (colorizeTxt != "") {
+	std::stringstream ss;
+	ss << lineNumber;
+	outputFinal += std::string("<font color='gray'>line ")+ss.str()+" : </font>"+colorizeTxt+br;
             }
         } else {
@@ -133,16 +124,16 @@
 
 void GWt_console::addConsoleMessage(WString msg) {
-    
-    // changes specials caracters
-    outputOriginal_ += Wt::Utils::htmlEncode (msg.toUTF8(),  Wt::Utils::EncodeNewLines);
-
-    // apply filter, will modify outputCurrent
-    searchFilter();
-    /*
-     * Little javascript trick to make sure we scroll along with new content
-     */
-    wApp->doJavaScript(outputCurrent_->jsRef() + ".scrollTop += "
-                       + outputCurrent_->jsRef() + ".scrollHeight;");
-    
+  
+  // changes specials caracters
+  outputOriginal_ += Wt::Utils::htmlEncode (msg.toUTF8(),  Wt::Utils::EncodeNewLines);
+  
+  // apply filter, will modify outputCurrent
+  searchFilter();
+  /*
+   * Little javascript trick to make sure we scroll along with new content
+   */
+  wApp->doJavaScript(outputCurrent_->jsRef() + ".scrollTop += "
+		     + outputCurrent_->jsRef() + ".scrollHeight;");
+  
 }
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_globalParameters.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_globalParameters.cc	(revision 426)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_globalParameters.cc	(revision 427)
@@ -1,168 +1,118 @@
-#include "GWt_globalParameters.h"
-#include <Wt/WVBoxLayout>
-#include <Wt/WGroupBox>
-#include <Wt/WText>
+
+#include <Wt/WDialog>
 #include <Wt/WLineEdit>
 #include <Wt/WBreak>
 #include <Wt/WPushButton>
 
-#include <Wt/WComboBox>
-
-#include "mixedTools.h"
+#include "GWt_globalParameters.h"
 #include "GWt_console.h"
 
+#include "dataManager.h"
 
-GWt_globalParameters::GWt_globalParameters(PspaApplication* ps)
+GWt_globalParameters::GWt_globalParameters(dataManager* dt)
 {
-    
-    pspa_ = ps;
-    WVBoxLayout* globLayout = new WVBoxLayout();
-    //&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
-    WContainerWidget *result = new WContainerWidget();
-    WPanel *panel = new WPanel(result);
-    panel->setTitle(" global parameters ");
-    
-    
-    WText* freqText = new WText("frequency (MHz) : ");
-    frequencyEdit_ = new WLineEdit();
-    
-    WText *stepText = new WText("step in phase (deg.) : ");
-    stepEdit_ = new WLineEdit();
-    
-    WText *nstepMaxText = new WText("max step number : ");
-    nstepMAxEdit_ = new WLineEdit();
-    
-    WText *nscText = new WText("periodicity of s.c. computation : ");
-    nscEdit_ = new WLineEdit();
-    
-    
-    
-    WContainerWidget* contenu = new WContainerWidget();
-    contenu->addWidget(freqText);
-    contenu->addWidget(frequencyEdit_);
-    contenu->addWidget(new WBreak());
-    contenu->addWidget(stepText);
-    contenu->addWidget(stepEdit_);
-    contenu->addWidget(new WBreak());
-    contenu->addWidget(nstepMaxText);
-    contenu->addWidget(nstepMAxEdit_);
-    contenu->addWidget(new WBreak());
-    contenu->addWidget(nscText);
-    contenu->addWidget(nscEdit_);
-    
-    
-    
-    panel->setCentralWidget(contenu);
-    // panel->setCollapsible(true);
-    
-    
-    //  WPanel *panelModules = new WPanel(result);
-    // panelModules->setTitle(" sections of beam Line for executing softwres ");
-    
-    
-    // WPushButton* push_add = new WPushButton("add");
-    
-    
-    // contenuSections_ = new WContainerWidget();
-    
-    // addSection();
-    // contenuSections_->addWidget( push_add);
-    
-    
-    // panelModules->setCentralWidget(contenuSections_);
-    
-    
-    globLayout->addWidget(result);
-    
-    setLayout(globLayout);
-    globLayout->setContentsMargins(0,0,0,0);
-    renew();
+  dt_ = dt;
 }
 
-// void GWt_globalParameters::addSection()
-// {
-//   unsigned k;
-//   //   WComboBox* selectionBox = new WComboBox();
+GWt_globalParameters::GWt_globalParameters(dataManager* dt,WContainerWidget* wt)
+{
+  dt_ = dt;
+  status_ = new WText("Go ahead...",wt);
+}
 
-//     sectionSelection_.push_back(new WComboBox());
+void GWt_globalParameters::initilializeDialog()
+{
+  string* param = dialogBegin();
 
-//     contenuSections_->addWidget(new WBreak());
+  dialog_ = new WDialog("global parameters");
+  new WText("Enter frequency (MHz) : ",dialog_->contents());
+  frequencyEdit_ = new WLineEdit(param[1].c_str(),dialog_->contents());
+  new WBreak(dialog_->contents());
+  new WText("Enter step in phase (deg) : ",dialog_->contents());
+  stepEdit_ = new WLineEdit(param[2].c_str(),dialog_->contents());
+  new WBreak(dialog_->contents());
+  new WText("Enter max step number : ",dialog_->contents());
+  nstepMAxEdit_ = new WLineEdit(param[3].c_str(),dialog_->contents());
+  new WBreak(dialog_->contents());
+  new WText("Enter periodicity of s.c. computation : ",dialog_->contents());
+  nscEdit_ = new WLineEdit(param[4].c_str(),dialog_->contents());
+  new WBreak(dialog_->contents());
 
-//     contenuSections_->addWidget(new WText(" from : "));
-//     contenuSections_->addWidget(new WLineEdit());
-//     contenuSections_->addWidget(new WText(" to : "));
-//     contenuSections_->addWidget(new WLineEdit());
+  WPushButton *ok =  new WPushButton("Ok", dialog_->contents());
+  ok->clicked().connect(dialog_, &WDialog::accept);
+  WPushButton *no = new WPushButton("Cancel", dialog_->contents());
+  no->clicked().connect(dialog_, &WDialog::reject);
 
+  dialog_->finished().connect(this,&GWt_globalParameters::dialogDone);
+  //dialog_->show();
+  dialog_->exec(WAnimation(WAnimation::SlideInFromTop));
+}
 
-//     contenuSections_->addWidget(sectionSelection_.back());
+string* GWt_globalParameters::dialogBegin()
+{
+  string* param = dt_->getGlobalParameters()->getParametersString();
+  if ( param == NULL ) {
+    if ( static_cast<GWt_console*> (wApp->findWidget ("console"))) {
+      GWt_console* console = static_cast<GWt_console*> (wApp->findWidget ("console"));
+      console->addConsoleMessage(" GWt_globalParameters : empty parameter set");
+    }
+  }
 
-//     unsigned nb = nomDeLogiciel::getNumberOfSoftwares();
-//     for ( k=0; k < nb; k++) sectionSelection_.back()->addItem( nomDeLogiciel(k).getString() );
-//     //    selectionBox->addItem("Transport");
-// }
+  int nbparam = atoi(param[0].c_str());
+  if ( nbparam != 4 ) {
+    if ( static_cast<GWt_console*> (wApp->findWidget ("console"))) {
+      GWt_console* console = static_cast<GWt_console*> (wApp->findWidget ("console"));
+      console->addConsoleMessage(" GWt_globalParameters : wrong number of parameters");
+    }
+  }
+  
+  envoi_[0] = param[0].c_str();
+  envoi_[1] = param[1].c_str();
+  envoi_[2] = param[2].c_str();
+  envoi_[3] = param[3].c_str();
+  envoi_[4] = param[4].c_str();
+  setStatus();
+  return param;
+}
 
-
-void GWt_globalParameters::renew()
+void GWt_globalParameters::dialogDone(WDialog::DialogCode code)
 {
-    string* param = pspa_->getDataManager()->getGlobalParameters()->getParametersString();
-    if ( param == NULL )
-    {
-        if ( static_cast<GWt_console*> (wApp->findWidget ("console"))) {
-            GWt_console* console = static_cast<GWt_console*> (wApp->findWidget ("console"));
-            console->addConsoleMessage(" GWt_globalParameters : empty parameter set");
-        }
-    }
-    int nbparam = atoi(param[0].c_str());
-    if ( nbparam != 4 )
-    {
-        if ( static_cast<GWt_console*> (wApp->findWidget ("console"))) {
-            GWt_console* console = static_cast<GWt_console*> (wApp->findWidget ("console"));
-            console->addConsoleMessage(" GWt_globalParameters : wrong number of parameters");
-        }
-    }
-    frequencyEdit_->setText(param[1].c_str());
-    stepEdit_->setText(param[2].c_str());
-    nstepMAxEdit_->setText(param[3].c_str());
-    nscEdit_->setText(param[4].c_str());
+  if (code == WDialog::Accepted) updateGlobals();
+  return;
 }
 
 void GWt_globalParameters::updateGlobals()
 {
-    string envoi[5];
-    envoi[0] = string("4");
-    envoi[1] = frequencyEdit_->text().toUTF8();
-    envoi[2] = stepEdit_->text().toUTF8();
-    envoi[3] = nstepMAxEdit_->text().toUTF8();
-    envoi[4] = nscEdit_->text().toUTF8();
-    pspa_->getDataManager()->getGlobalParameters()->setParametersString(envoi);
+  envoi_[0] = string("4");
+  envoi_[1] = frequencyEdit_->text().toUTF8();
+  envoi_[2] = stepEdit_->text().toUTF8();
+  envoi_[3] = nstepMAxEdit_->text().toUTF8();
+  envoi_[4] = nscEdit_->text().toUTF8();
+
+  setStatus();
+  dt_->getGlobalParameters()->setParametersString(envoi_);
 }
 
-// void GWt_globalParameters::getExecute(unsigned index, unsigned& first, unsigned& last, int& programm)
-// {
-//   string debut;
-//   string fin;
-//   if ( index == 1)
-//     {
-//       debut = origineEdit1_->text().toUTF8();
-//       fin = extremiteEdit1_->text().toUTF8();
-//       programm = selectionBox1_->currentIndex();
-//       cout << " current index " << programm << endl;
-//     }
-//   else
-//     {
-//       debut = origineEdit2_->text().toUTF8();
-//       fin = extremiteEdit2_->text().toUTF8();
-//     }
-//   first = atoi ( debut.c_str() );
-//   last = atoi ( fin.c_str() );
-//   programm++;
+void GWt_globalParameters::renew()
+{
+  string* param = dialogBegin();
 
-// }
+  frequencyEdit_->setText(param[1].c_str());
+  stepEdit_->setText(param[2].c_str());
+  nstepMAxEdit_->setText(param[3].c_str());
+  nscEdit_->setText(param[4].c_str());
+}
 
-// void GWt_globalParameters::addElem()
-// {
-//     int dernier = pspa_->getDataManager()->beamLineSize();
-//     extremiteEdit1_->setText( mixedTools::intToString(dernier) );
-// }
+string* GWt_globalParameters::getGlobalParameters()
+{
+  return envoi_;
+}
 
-
+void GWt_globalParameters::setStatus()
+{
+  WString out= WString("<p>frequency="+envoi_[1]+"</p>"
+	               "<p>step in phase="+envoi_[2]+"</p>"
+  	               "<p>max step number="+envoi_[3]+"</p>"
+   	               "<p>periodicity of s.c. computation="+envoi_[4]+"</p>");
+  status_->setText(out);
+}
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 426)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 427)
@@ -8,5 +8,4 @@
 #include "GWt_softwarePanel.h"
 #include "GWt_globalParameters.h"
-// #include "GWt_dialog.h"
 #include "GWt_draggableImage.h"
 #include "particleBeam.h"
@@ -36,4 +35,7 @@
 #include <Wt/WRadioButton>
 
+#include <Wt/WPanel>
+#include <Wt/WMessageBox>
+
 #define HAS_IMAGEMAGIC 1
 
@@ -76,13 +78,7 @@
   useStyleSheet("htdocs/pspa.css");
   dtmanage_ = new dataManager(this);
-  // dtmanage_->setWorkingDir(workingDir_);
-  
-  /*
-   * The main layout is a 4x3 grid layout.
-   */
-  WGridLayout *mainGridLayout = new WGridLayout();
-  //  layout->addWidget(createTitle("<a href='workingArea/parmin'> Menu (In future)</a>"), 0, 0, 1, 2);
-  //  layout->addWidget(createTitle("Menu (In future)"), 0, 0, 1, 2);
-  
+
+  // The main layout is a 4x3 grid layout.
+  WGridLayout *mainGridLayout = new WGridLayout();  
   WHBoxLayout *toolbarLayout = new WHBoxLayout();
   
@@ -100,5 +96,5 @@
   
   boutonSauve->setToolTip ("sauvegarder votre configuration");
-  boutonRestaure->setToolTip (" restaurer la configuration depuis le serveur");
+  boutonRestaure->setToolTip ("restaurer la configuration depuis le serveur");
   boutonLoadNew->setToolTip ("charger une configuration");
   boutongraphicalAnalysis->setToolTip ("analyse graphique");
@@ -118,12 +114,8 @@
   boutonSauve->clicked().connect(this, &PspaApplication::sauver);
   boutonRestaure->clicked().connect(this, &PspaApplication::restaurer);
-  // Upload when the button is clicked.
-  // React to a succesfull upload.
+  // Upload when the button is clicked. React to a succesfull upload.
   boutonLoadNew->clicked().connect(this, &PspaApplication::openFileSelector);
-  
   boutongraphicalAnalysis->clicked().connect(this, &PspaApplication::dialogOnGraphics);
-  
   boutonTrash->clicked().connect(this, &PspaApplication::removeBeamLine);
-  
   toolbarLayout->addWidget(boutonSauve , 0,Wt::AlignMiddle);
   toolbarLayout->addWidget(boutonRestaure , 0,Wt::AlignMiddle);
@@ -140,25 +132,20 @@
   mainGridLayout->addWidget(createPalette(), 2, 0, 4, 1);
 
-  
   WScrollArea* scroll = new  WScrollArea();
   scroll->setWidget(createBeamLine());
   scroll->setMinimumSize(300,150);
-
   mainGridLayout->addWidget(scroll, 2, 1, 1, 2);
-  
-  
-  // console_ = new WContainerWidget();
-  // console_->decorationStyle().setBackgroundColor (WColor("lightgray"));
-  // console_->setMaximumSize(600,200);
-  // layout->addWidget(console_, 3, 1);
-  // console_->setMinimumSize(300,100);
-  // console_->setOverflow(WContainerWidget::OverflowAuto);
-  
-  
+
   //-----------
+
   // A supprimer et a mettre en fenetre
-  globalParam_ = createGlobalParamWidget();
-  //  leDessin_ = new WContainerWidget();
-  //  leDessin_ = createDrawingWidget();
+  // xx globalParam_ = createGlobalParamWidget();
+  // xx mainGridLayout->addWidget(globalParam_,3,1);
+
+  WWidget* dboard = createDashBoard();
+  dboard->setMinimumSize(300,100);
+  mainGridLayout->addWidget(dboard,3,1);
+  //-----------
+
   graphicsDialog_ = new GWt_dialog("graphical analysis",createDrawingWidget(),false);
   graphicsDialog_->setMinimumSize(400,400);
@@ -167,30 +154,70 @@
   
   executeWidget_ = new GWt_softwarePanel(dtmanage_,this);
-  
-  mainGridLayout->addWidget( globalParam_, 3, 1);
-  //  layout->addWidget( leDessin_, 3, 2);
-  mainGridLayout->addWidget( executeWidget_ , 4, 1);
-  //-----------
+  executeWidget_->setMinimumSize(400,100);
+  mainGridLayout->addWidget(executeWidget_,4,1);
   
   console_ = new GWt_console();
-
-  // manage sizes
   console_->setMinimumSize(300,100);
-  executeWidget_->setMinimumSize(400,100);
-
-  mainGridLayout->addWidget(console_, 3, 2,2,1);
-  
-  
-  /*
-   * Let row 2 and column 1 take the excess space.
-   */
-  mainGridLayout->setRowStretch(4, 1);
-  mainGridLayout->setColumnStretch(2, 1);
+  mainGridLayout->addWidget(console_,3,2,2,1);
+
+  // Let row 2 and column 1 take the excess space.
+  mainGridLayout->setRowStretch(4,1);
+  mainGridLayout->setColumnStretch(2,1);
   
   widroot->setLayout(mainGridLayout);
-
   // set auto scrollbar if needed
   widroot->setOverflow(WContainerWidget::OverflowAuto);
-
+}
+
+// WWidget* PspaApplication::createGlobalParamWidget()
+// {
+//   WContainerWidget* globalParam = new GWt_globalParameters(this);
+//   globalParam->setMinimumSize(300,100);
+//   return globalParam;
+// }
+
+WWidget* PspaApplication::createDashBoard()
+{
+  WContainerWidget *result = new WContainerWidget();
+  
+  WPanel *panel = new WPanel(result);
+  panel->setTitle("dashboard");
+  
+  WContainerWidget *textdiv;
+  textdiv = new WContainerWidget();
+  textdiv->setStyleClass("text");
+  
+  globalParam_ = new GWt_globalParameters(dtmanage_,textdiv);
+
+  WContainerWidget *cnt = new WContainerWidget();
+  WContainerWidget *buttons = new WContainerWidget();
+  buttons->setStyleClass("buttons");
+
+  WPushButton *button;
+  button = new WPushButton("globalParameters", buttons);
+  button->clicked().connect(this, &PspaApplication::messageBox1);
+  
+  button = new WPushButton("fodoCells", buttons);
+  button->clicked().connect(this, &PspaApplication::messageBox2);
+ 
+  styleSheet().addRule(".buttons","padding: 5px;");
+  styleSheet().addRule(".text", "padding: 4px 8px");
+  styleSheet().addRule("body", "margin: 0px;");
+
+  cnt->addWidget(buttons);
+  cnt->addWidget(textdiv);
+  panel->setCentralWidget(cnt);
+  return result;
+}
+
+void PspaApplication::messageBox1()
+{
+  globalParam_->initilializeDialog();
+  return;
+}
+
+void PspaApplication::messageBox2()
+{
+  return;
 }
 
@@ -203,5 +230,4 @@
     new WBreak(palette);
   }
-
   return palette;  
 }
@@ -231,12 +257,4 @@
   return beamLine_;
 }
-
-WWidget* PspaApplication::createGlobalParamWidget()
-{
-  WContainerWidget* globalParam = new GWt_globalParameters(this);
-  globalParam->setMinimumSize(300,100);
-  return globalParam;
-}
-
 
 void PspaApplication::dialogOnGraphics()
@@ -639,5 +657,5 @@
   new WText(" after element :  " + elementLabel, phaseSpaceDialog->contents());
 
-  for (int k=0 ; k < legende.size(); k++) {
+  for (int k=0 ; k < (int)legende.size(); k++) {
     new WBreak(phaseSpaceDialog->contents());
     new WText(legende.at(k), phaseSpaceDialog->contents());
@@ -1062,5 +1080,5 @@
   new WText(" after element :  " + elementLabel, w);
 
-  for (int k=0 ; k < legende.size(); k++) {
+  for (int k=0 ; k < (int)legende.size(); k++) {
     new WBreak(w);
     new WText(legende.at(k), w);
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 426)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 427)
@@ -19,5 +19,5 @@
 #include "GWt_globalParameters.h"
 #include "GWt_sectionToExecute.h"
-
+#include "GWt_pspaApplication.h"
 
 GWt_softwarePanel::GWt_softwarePanel(dataManager* dataManager,PspaApplication* pspa)
@@ -29,13 +29,6 @@
   // bouton execute
   exec_go_ = new WPushButton("execute!");
-  //    exec_go_->setMinimumSize(300,300);
-  //  exec_go_->setDisabled(true);
   exec_go_->clicked().connect(this, &GWt_softwarePanel::executer);
-  
-    
-  // preparation du bouton push_ok
-  //  WPushButton* exec_ok = new WPushButton("ok");
-  //  exec_ok->clicked().connect(this, &GWt_softwarePanel::updateSectionSelection);
-  
+
   // le panel
   WPanel *panelLogiciels = new WPanel(this);
@@ -43,5 +36,4 @@
   
   contenuSections_ = new WContainerWidget();
-  //  contenuSections_->addWidget(exec_ok);
   contenuSections_->addWidget(exec_go_);
   contenuSections_->addWidget(new WBreak());
@@ -56,6 +48,5 @@
 
 void GWt_softwarePanel::addSectionToExecuteW()
-{    
-  
+{      
   abstractElement* premierElement;
   abstractElement* dernierElement;
@@ -63,38 +54,22 @@
   int premierIndex = 0;
   int dernierIndex = 0;
-
-    // if there is no section
+  
+  // if there is no section
   if(sections_.size() == 0) {
-      premierElement = pspa_->getBeamLine()->getAbstractElement(0);
-      premierIndex = 0;
-
-  // if this is not the first :
-  // - first element will be the last of the previous section
-  // (or the same if it is the last of the beam line)
-  // - lastElement will be the last of the beam line
-  // - software will be the first of the list
-      
+    premierElement = pspa_->getBeamLine()->getAbstractElement(0);
+    premierIndex = 0;
+    
+    // if this is not the first :
+    // - first element will be the last of the previous section
+    // (or the same if it is the last of the beam line)
+    // - lastElement will be the last of the beam line
+    // - software will be the first of the list
+    
   } else {
     dernierElement = pspa_->getBeamLine()->getAbstractElement(pspa_->getBeamLine()->getBeamLineSize()-1);
     dernierIndex = pspa_->getBeamLine()->getBeamLineSize()-1;
-
+    
     premierElement = dernierElement;
     premierIndex = dernierIndex;
-    
-/*    int indexOfLastElementOfLastSection = dtmanage_->getJobListAt(dtmanage_->getJobListSize()-1)->getLastElementNumberInSection();
-
-    
-    // if there are still elements at the end
-    if (pspa_->getBeamLine()->getAbstractElement(indexOfLastElementOfLastSection+1) != NULL ) {
-      premierIndex = indexOfLastElementOfLastSection+1;
-      premierElement = pspa_->getBeamLine()->getAbstractElement(indexOfLastElementOfLastSection+1);
-
-      // if this is the last element
-    } else {
-      premierIndex = indexOfLastElementOfLastSection;
-      premierElement = pspa_->getBeamLine()->getAbstractElement(indexOfLastElementOfLastSection);
-        
-    }
- */
   }
   
@@ -102,5 +77,4 @@
   dernierIndex = pspa_->getBeamLine()->getBeamLineSize()-1;
   //  cout << "PspaApplication::addSectionToExecute() : " << premierText << " ââ   " << dernierText << endl;
-  
   
   //  abstractSoftware* soft = NULL;
@@ -140,102 +114,7 @@
   // push back on sections vector
   sections_.push_back(newSection);
-
   contenuSections_->addWidget(newSection);
-  
   updateSections();
 }
-
-
-// void GWt_softwarePanel::disableSectionExecute()
-// {
-//   exec_go_->setDisabled(true);
-// }
-
-
-// void GWt_softwarePanel::checkSectionSelection()
-// {
-//   if ( selectedSections_.empty() ) return;
-  
-//   // traitement de la premiere ligne
-//   // on impose le depart du calcul au premier element
-//   string premier = dtmanage_->getLabelFromElementNumero(1);
-//   (*selectedSections_.begin())->debut->setText(premier);
-  
-//   string currentString =  (*selectedSections_.begin())->fin->text().toUTF8();
-//   int current = dtmanage_->getNumeroFromElementLabel(currentString);
-    
-//   // si la fin est mal definie on prend toute la config par defaut
-//   if ( current <= 0 || current > dtmanage_->getBeamLineSize() )
-//     {
-//       current = dtmanage_->getBeamLineSize();
-//       currentString =  dtmanage_->getLabelFromElementNumero(current);
-//       (*selectedSections_.begin())->fin->setText(currentString);
-//     }
-//   current++;
-//   currentString = dtmanage_->getLabelFromElementNumero(current);
-  
-//   // traitement des suivantes (on avance d'un cran dans la liste)
-//   list<GWt_sectionToExecute*>::iterator itr, itr0;
-//   itr0 = selectedSections_.begin();
-//   itr0++;
-//   for (itr = itr0; itr != selectedSections_.end(); itr++)
-//     {
-//       // debut
-//       if ( current > dtmanage_->getBeamLineSize() )
-//         {
-// 	  GWt_dialog warningDialog("PSPA :: verification des sections", " bad section definition !", GWt_dialog::Error,true,true);
-// 	  warningDialog.exec();
-// 	  return;
-//         }
-      
-//       (*itr)->debut->setText(currentString);
-//       // fin
-//       string finString =  (*itr)->fin->text().toUTF8();
-      
-//       int numeroFin = dtmanage_->getNumeroFromElementLabel( finString);
-      
-//       if ( numeroFin < current || numeroFin > dtmanage_->getBeamLineSize())
-//         {
-// 	  GWt_dialog warningDialog("PSPA : Checking of sections", " bad section definition !", GWt_dialog::Error, true,true);
-// 	  warningDialog.exec();
-// 	  return;
-//         }
-      
-//       // preparation de la ligne suivante
-//       current = numeroFin +1;
-//       currentString = dtmanage_->getLabelFromElementNumero(current);
-//     }
-  
-//   if (!areDataCoherent()) {
-//     GWt_dialog warningDialog("PSPA : verification des sections", " donnees incoherentes !", GWt_dialog::Error,true,true);
-//     warningDialog.exec();
-//   }
-//   else
-//     {
-//       exec_go_->setDisabled(false);
-        
-//         // All ok, then put colors on beamLine
-//         list<GWt_sectionToExecute*>::iterator itr2;
-//         for(itr2 = selectedSections_.begin();itr2 != selectedSections_.end(); itr2++)
-//         {
-//             string debString = (*itr2)->debut->text().toUTF8();
-//             string finString = (*itr2)->fin->text().toUTF8();
-            
-            
-//             int debut = dtmanage_->getNumeroFromElementLabel(debString);
-//             int fin = dtmanage_->getNumeroFromElementLabel(finString);
-// /**
-//  for (int i=debut; i=<fin; i++) {
-//                 getBeamLine()->getAbstractElement(i)->setBGColor(
-                
-//             }
-//             nomDeLogiciel prog = nomDeLogiciel ( (*itr)->selection->currentIndex() );
-//             dtmanage_->addSectionToExecute(debut,fin,prog);
-// */
-//         }
-//     }
-    
-
-// }
 
 bool GWt_softwarePanel::updateSectionSelection()
@@ -435,30 +314,10 @@
 }
 
-
-
-/*
- string GWt_softwarePanel::getSelection()
-{
-  list<GWt_sectionToExecute*>::iterator itr = selectedSections_.begin();
-  string str = (*itr)->fin->text().toUTF8();
-  return str;
-}
-*/
-
 void GWt_softwarePanel::executer()
 {
-
+  
   if (!areDataCoherent()) {
-    //    GWt_dialog warningDialog("PSPA : verification des sections", " donnees incoherentes !", GWt_dialog::Error,true,true);
-    //    warningDialog.exec();
-    //    exec_go_->setDisabled(true);
     return;
-  }
-  
-  // GWt_console* console = NULL;
-  // if (static_cast<GWt_console*> (wApp->findWidget ("console"))) {
-  //   console = static_cast<GWt_console*> (wApp->findWidget ("console"));
-  //   console->addConsoleMessage(string("on va peut etre y arriver"));
-  // }
+  }  
   
   static_cast<GWt_globalParameters*>(pspa_->getGlobalParam())->updateGlobals();