Index: /PSPA/PSPA.xcodeproj/project.pbxproj
===================================================================
--- /PSPA/PSPA.xcodeproj/project.pbxproj	(revision 444)
+++ /PSPA/PSPA.xcodeproj/project.pbxproj	(revision 445)
@@ -17,6 +17,10 @@
 		0826C73C1851D37900C7CD37 /* GWt_sectorParameters.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0826C73B1851D37900C7CD37 /* GWt_sectorParameters.cc */; };
 		0826C7401851D3B600C7CD37 /* sectorParameters.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0826C73F1851D3B600C7CD37 /* sectorParameters.cc */; };
+		0826C74418522FAA00C7CD37 /* GWt_sector.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0826C74218522FAA00C7CD37 /* GWt_sector.cc */; };
 		083312F816DCF81700EE2BD7 /* elementSnapshot.cc in Sources */ = {isa = PBXBuildFile; fileRef = 083312F716DCF81700EE2BD7 /* elementSnapshot.cc */; };
 		083312FB16DCF83A00EE2BD7 /* GWt_elementSnapshot.cc in Sources */ = {isa = PBXBuildFile; fileRef = 083312FA16DCF83A00EE2BD7 /* GWt_elementSnapshot.cc */; };
+		084F4A1E185728CC004B8245 /* GWt_accelerator.cc in Sources */ = {isa = PBXBuildFile; fileRef = 084F4A1C185728CC004B8245 /* GWt_accelerator.cc */; };
+		084F4A251858B137004B8245 /* softwareUsersprogram.cc in Sources */ = {isa = PBXBuildFile; fileRef = 084F4A241858B137004B8245 /* softwareUsersprogram.cc */; };
+		084F4A2A1858C801004B8245 /* sector.cc in Sources */ = {isa = PBXBuildFile; fileRef = 084F4A291858C801004B8245 /* sector.cc */; };
 		08866B6E180FF4E800E64684 /* libuap.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 08866B6D180FF4E800E64684 /* libuap.a */; };
 		08C8899916A8469A00DD764A /* libwt.dylib in Frameworks */ = {isa = PBXBuildFile; fileRef = 08C8895516A8417000DD764A /* libwt.dylib */; settings = {ATTRIBUTES = (Required, ); }; };
@@ -100,8 +104,16 @@
 		0826C73E1851D3AD00C7CD37 /* sectorParameters.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = sectorParameters.h; sourceTree = "<group>"; };
 		0826C73F1851D3B600C7CD37 /* sectorParameters.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = sectorParameters.cc; sourceTree = "<group>"; };
+		0826C74118522F4700C7CD37 /* GWt_sector.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = GWt_sector.h; sourceTree = "<group>"; };
+		0826C74218522FAA00C7CD37 /* GWt_sector.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_sector.cc; sourceTree = "<group>"; };
 		083312F616DCF80D00EE2BD7 /* elementSnapshot.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = elementSnapshot.h; sourceTree = "<group>"; };
 		083312F716DCF81700EE2BD7 /* elementSnapshot.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = elementSnapshot.cc; sourceTree = "<group>"; };
 		083312F916DCF83000EE2BD7 /* GWt_elementSnapshot.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = GWt_elementSnapshot.h; sourceTree = "<group>"; };
 		083312FA16DCF83A00EE2BD7 /* GWt_elementSnapshot.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_elementSnapshot.cc; sourceTree = "<group>"; };
+		084F4A1C185728CC004B8245 /* GWt_accelerator.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_accelerator.cc; sourceTree = "<group>"; };
+		084F4A1D185728CC004B8245 /* GWt_accelerator.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; name = GWt_accelerator.h; path = ../src/GWt_accelerator.h; sourceTree = "<group>"; };
+		084F4A231858B12C004B8245 /* softwareUsersprogram.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = softwareUsersprogram.h; sourceTree = "<group>"; };
+		084F4A241858B137004B8245 /* softwareUsersprogram.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = softwareUsersprogram.cc; sourceTree = "<group>"; };
+		084F4A291858C801004B8245 /* sector.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = sector.cc; sourceTree = "<group>"; };
+		084F4A2B1858C80C004B8245 /* sector.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = sector.h; sourceTree = "<group>"; };
 		08866B6D180FF4E800E64684 /* libuap.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libuap.a; path = "../accelerator-ml-code/uap/trunk/lib/libuap.a"; sourceTree = "<group>"; };
 		08C888C516A83A9A00DD764A /* PSPA */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = PSPA; sourceTree = BUILT_PRODUCTS_DIR; };
@@ -336,4 +348,5 @@
 			isa = PBXGroup;
 			children = (
+				084F4A2B1858C80C004B8245 /* sector.h */,
 				08C889B316AE8F2B00DD764A /* abstractElement.h */,
 				08C889B416AE8F2B00DD764A /* bareParticle.h */,
@@ -371,4 +384,5 @@
 				08FBB13416D3DABC002B087C /* softwareParmela.h */,
 				08FBB13516D3DABC002B087C /* softwareTest.h */,
+				084F4A231858B12C004B8245 /* softwareUsersprogram.h */,
 				08FBB13616D3DABC002B087C /* softwareTransport.h */,
 			);
@@ -379,4 +393,5 @@
 			isa = PBXGroup;
 			children = (
+				084F4A291858C801004B8245 /* sector.cc */,
 				08C889CD16AE8F2B00DD764A /* abstractElement.cc */,
 				08FBB14816D3DB7E002B087C /* abstractSoftware.cc */,
@@ -399,4 +414,5 @@
 				08C889DA16AE8F2B00DD764A /* main.cc */,
 				08C889DB16AE8F2B00DD764A /* nomdElements.cc */,
+				084F4A241858B137004B8245 /* softwareUsersprogram.cc */,
 				08C889DC16AE8F2B00DD764A /* nomDeLogiciel.cc */,
 				08211C9816F08C7500519CAA /* sectionToExecute.cc */,
@@ -445,4 +461,6 @@
 				08FBB14F16D3DBC6002B087C /* GWt_serverFileSelector.h */,
 				08C889ED16AE8F2B00DD764A /* GWt_pspaApplication.h */,
+				0826C74118522F4700C7CD37 /* GWt_sector.h */,
+				084F4A1D185728CC004B8245 /* GWt_accelerator.h */,
 			);
 			path = include;
@@ -475,4 +493,6 @@
 				08C889FD16AE8F2B00DD764A /* GWt_ligneFaisceau.cc */,
 				08C889FE16AE8F2B00DD764A /* GWt_pspaApplication.cc */,
+				0826C74218522FAA00C7CD37 /* GWt_sector.cc */,
+				084F4A1C185728CC004B8245 /* GWt_accelerator.cc */,
 			);
 			path = src;
@@ -549,4 +569,5 @@
 				08C88A1216AE8F2B00DD764A /* GWt_abstractElement.cc in Sources */,
 				0826C7311851D25C00C7CD37 /* elementMultipole.cc in Sources */,
+				084F4A2A1858C801004B8245 /* sector.cc in Sources */,
 				08C88A1316AE8F2B00DD764A /* GWt_elementBeam.cc in Sources */,
 				08C88A1416AE8F2B00DD764A /* GWt_elementBend.cc in Sources */,
@@ -563,4 +584,5 @@
 				08C88A2016AE8F2B00DD764A /* GWt_elementRfgun.cc in Sources */,
 				08C88A2116AE8F2B00DD764A /* GWt_elementSoleno.cc in Sources */,
+				0826C74418522FAA00C7CD37 /* GWt_sector.cc in Sources */,
 				08FBB13B16D3DAC8002B087C /* softwareGenerator.cc in Sources */,
 				08FBB13C16D3DAC8002B087C /* softwareParmela.cc in Sources */,
@@ -570,4 +592,5 @@
 				08FBB14116D3DB04002B087C /* GWt_elementLigneFaisceau.cc in Sources */,
 				08FBB14616D3DB5B002B087C /* GWt_softwarePanel.cc in Sources */,
+				084F4A251858B137004B8245 /* softwareUsersprogram.cc in Sources */,
 				0826C73C1851D37900C7CD37 /* GWt_sectorParameters.cc in Sources */,
 				0826C7331851D27800C7CD37 /* softwareMadx.cc in Sources */,
@@ -579,4 +602,5 @@
 				083312FB16DCF83A00EE2BD7 /* GWt_elementSnapshot.cc in Sources */,
 				08211C9C16F0975600519CAA /* sectionToExecute.cc in Sources */,
+				084F4A1E185728CC004B8245 /* GWt_accelerator.cc in Sources */,
 				08211C9D16F0975A00519CAA /* GWt_sectionToExecute.cc in Sources */,
 			);