Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h	(revision 446)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h	(revision 446)
@@ -0,0 +1,34 @@
+#ifndef GWT_Accelerator_SEEN
+#define GWT_Accelerator_SEEN
+
+#include <iostream>
+
+#include <Wt/WContainerWidget>
+#include <Wt/WScrollArea>
+#include "GWt_pspaApplication.h"
+#include "dataManager.h"
+
+
+using namespace Wt;
+
+using namespace std;
+
+class GWt_accelerator : public WContainerWidget
+{
+  
+public:
+  GWt_accelerator(WContainerWidget* parent,PspaApplication* pspa);
+  virtual ~GWt_accelerator();
+  inline WContainerWidget* getAcceleratorDetailledView() {return acceleratorDetailledView_;};
+  inline WLayout* getAcceleratorGlobalViewLayout() {return acceleratorGlobalViewLayout_;};
+  inline PspaApplication* getControler() { return pspa_;};
+  
+  private :
+  WContainerWidget* acceleratorDetailledView_;
+  void addSector();
+  void run();
+  WLayout* acceleratorGlobalViewLayout_;
+  PspaApplication* pspa_;
+};
+
+#endif
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sector.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sector.h	(revision 446)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sector.h	(revision 446)
@@ -0,0 +1,31 @@
+#ifndef GWT_Sector_SEEN
+#define GWT_Sector_SEEN
+
+#include <iostream>
+
+#include <Wt/WContainerWidget>
+#include "sector.h"
+#include "GWt_pspaApplication.h"
+#include "GWt_accelerator.h"
+
+using namespace Wt;
+
+using namespace std;
+
+class GWt_sector : public WObject
+{
+  
+public:
+  GWt_sector(GWt_accelerator* parent,sector*);
+  virtual ~GWt_sector();
+  void createWidgetBeamLine(PspaApplication* pspa,WContainerWidget* parent);
+
+  private :
+  GWt_LigneFaisceau* beamLine_;
+  void setIcon(WLayout*);
+  void displayWidgetBeamLine();
+  GWt_accelerator* parent_;
+  sector* sector_;
+};
+
+#endif
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc	(revision 446)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc	(revision 446)
@@ -0,0 +1,98 @@
+#include "GWt_accelerator.h"
+#include "GWt_sector.h"
+
+#include <Wt/WLabel>
+#include <Wt/WPanel>
+#include <Wt/WColor>
+#include <Wt/WVBoxLayout>
+#include <Wt/WHBoxLayout>
+#include <Wt/WComboBox>
+#include <Wt/WPushButton>
+#include <Wt/WGroupBox>
+
+#include <string>
+
+GWt_accelerator::GWt_accelerator(WContainerWidget* parent, PspaApplication* pspa) :
+WContainerWidget(parent),
+pspa_(pspa)
+{
+  setObjectName("accelerator");
+  addStyleClass("acceleratorPanel");
+    
+  WContainerWidget* menu = new WContainerWidget(this);
+  menu->addStyleClass("acceleratorMenu");
+  
+  //  Wt::WHBoxLayout* hTopLineLayout = new WHBoxLayout();
+  //  topLine->setLayout(hTopLineLayout);
+  
+  new WLabel("my accelerator ",menu);
+
+  
+  // Parameters
+  WPushButton* actionParameters = new WPushButton("",menu);
+  // set tooltips
+  actionParameters->setToolTip("change parameters");
+  
+  // Set class for actions elements
+  actionParameters->setStyleClass("Button WhiteButton parameters");
+  actionParameters->setMaximumSize(32,32);
+  actionParameters->setMinimumSize(32,32);
+  
+  // Add sector
+  WPushButton* addSectorParameters = new WPushButton("",menu);
+  // set tooltips
+  addSectorParameters->setToolTip("add a sector");
+  
+  // Set class for actions elements
+  addSectorParameters->setStyleClass("Button WhiteButton addSector");
+  addSectorParameters->setMaximumSize(32,32);
+  addSectorParameters->setMinimumSize(32,32);
+  
+  // Run
+  WPushButton* runParameters = new WPushButton("",menu);
+  // set tooltips
+  runParameters->setToolTip("run this accelerator");
+  
+  // Set class for actions elements
+  runParameters->setStyleClass("Button WhiteButton run");
+  runParameters->setMaximumSize(32,32);
+  runParameters->setMinimumSize(32,32);
+  
+  new WBreak(this);
+  
+  WScrollArea* scrollWidget = new WScrollArea(this);
+
+  WContainerWidget* acceleratorScrollArea = new WContainerWidget();
+  scrollWidget->setWidget(acceleratorScrollArea);
+  acceleratorScrollArea->setStyleClass("acceleratorContent");
+
+  WContainerWidget* acceleratorGlobalView = new WGroupBox("Global view",acceleratorScrollArea);
+  acceleratorDetailledView_ = new WGroupBox("Detailled view",acceleratorScrollArea);
+
+  acceleratorGlobalViewLayout_= new WHBoxLayout();
+  acceleratorGlobalView->setLayout(acceleratorGlobalViewLayout_);
+
+  // Add the first sector
+  addSector();
+
+  // Actions
+  addSectorParameters->clicked().connect(this,&GWt_accelerator::addSector);
+  runParameters->clicked().connect(this,&GWt_accelerator::run);
+
+  
+}
+
+
+GWt_accelerator::~GWt_accelerator()
+{
+}
+
+void GWt_accelerator::addSector()
+{
+  sector* sect = pspa_->getDataManager()->addNewSector();
+  GWt_sector* addedSector = new GWt_sector(this,sect);
+}
+
+void GWt_accelerator::run()
+{
+}
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc	(revision 446)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc	(revision 446)
@@ -0,0 +1,120 @@
+#include "GWt_sector.h"
+#include "GWt_LigneFaisceau.h"
+
+#include <Wt/WPushButton>
+#include <Wt/WLabel>
+#include <Wt/WPanel>
+#include <Wt/WColor>
+#include <Wt/WVBoxLayout>
+#include <Wt/WHBoxLayout>
+#include <Wt/WComboBox>
+
+GWt_sector::GWt_sector(GWt_accelerator* parent,sector* sect) :
+parent_(parent),
+sector_(sect)
+{
+  setIcon(parent->getAcceleratorGlobalViewLayout());
+}
+
+GWt_sector::~GWt_sector()
+{
+}
+
+void GWt_sector::setIcon(WLayout* parentLineLayout) {
+  WContainerWidget* sectorContainer = new WContainerWidget();
+
+  if (parentLineLayout->count() > 0) {
+    WContainerWidget* link = new WContainerWidget();
+    new WLabel("",link);
+    link->setStyleClass("elementLigneFaiseau_line");
+    parentLineLayout->addWidget(link);
+  }
+
+  sectorContainer->setStyleClass("beamLineIcon");
+  parentLineLayout->addWidget(sectorContainer);
+  
+  WLabel* icon = new WLabel(sector_->getName(),sectorContainer);
+  icon->setStyleClass("sectionIcon");
+  icon->setHeight(100);
+  icon->setToolTip("clic to view details");
+
+  new WBreak(sectorContainer);
+
+  std::stringstream str;
+  str << sector_->getRepetitionNumber();
+  std::string result;
+  str >> result;
+
+  // Add repetition times
+  WText* t = new WText(" x"+result+" ",sectorContainer);
+  if (sector_->getRepetitionNumber() > 1) {
+    t->setToolTip("repeted "+result+" times");
+  } else {
+    t->setToolTip("repeted "+result+" time");
+  }
+  new WBreak(sectorContainer);
+
+  // Add refected
+  if (sector_->getReflected()) {
+    WText* t = new WText(" reflected from "+sector_->getDuplicatedFrom()->getName(),sectorContainer);
+  } else if (sector_->getDuplicatedFrom() != NULL) {
+    WText* t = new WText(" duplicated from "+sector_->getDuplicatedFrom()->getName(),sectorContainer);
+  }
+  new WBreak(sectorContainer);
+
+
+  sectorContainer->clicked().connect(this,&GWt_sector::displayWidgetBeamLine);
+}
+
+
+void GWt_sector::createWidgetBeamLine(PspaApplication* pspa,WContainerWidget* parent) {
+
+  // suppress old detailled view if present
+  parent->clear();
+  
+  WContainerWidget* wdg = new WContainerWidget(parent);
+
+  wdg->setObjectName("sector");
+  wdg->addStyleClass("sectorPanel");
+  Wt::WVBoxLayout* vContainerLayout = new WVBoxLayout();
+  vContainerLayout->setContentsMargins(0,0,0,0);
+  Wt::WPanel *collapsiblePanel = new Wt::WPanel(wdg);
+  collapsiblePanel->setTitle("Sector panel");
+  collapsiblePanel->setCollapsible(true);
+  
+  WContainerWidget* menu = new WContainerWidget(wdg);
+  menu->addStyleClass("sectorMenu");
+  
+  //  Wt::WHBoxLayout* hmenuLayout = new WHBoxLayout();
+  //  menu->setLayout(hmenuLayout);
+  
+  new WLabel(sector_->getName()+" ",menu);
+  
+  WPushButton* actionParameters = new WPushButton("",menu);
+  // set tooltips
+  actionParameters->setToolTip("change parameters");
+  
+  // Set class for actions elements
+  actionParameters->setStyleClass("Button WhiteButton parameters");
+  actionParameters->setMaximumSize(32,32);
+  actionParameters->setMinimumSize(32,32);
+  
+  new WLabel(" Type: ",menu);
+  WComboBox* typeWidget = new WComboBox(menu);
+  typeWidget->addItem("Linear");
+  typeWidget->addItem("Circular");
+  
+  menu->setWidth(20+7+7+1+1+2);
+  
+  vContainerLayout->addWidget(menu);
+  
+  // Add beamLine for this sector
+  beamLine_ = new GWt_LigneFaisceau(pspa);
+  vContainerLayout->addWidget(beamLine_);
+  wdg->setLayout(vContainerLayout);
+}
+
+
+void GWt_sector::displayWidgetBeamLine() {
+  createWidgetBeamLine(parent_->getControler(),parent_->getAcceleratorDetailledView());
+}