Index: /Interface_Web/trunk/pspaWT/History
===================================================================
--- /Interface_Web/trunk/pspaWT/History	(revision 448)
+++ /Interface_Web/trunk/pspaWT/History	(revision 449)
@@ -5,6 +5,22 @@
      PSPA - Plateforme de simulation en physique des accÃ©lÃ©rateurs
      =========================================================
+
+12 Décembre 2013 : Laurent Garnier
+Modifications en vue de changer l'interface utilisateur : 
+- GWt_softwarePanel : Changement du container parent
+- GWt_sector : Nouvelle classe pour gérer les secteur au niveau UI
+- GWt_accelerator : Nouvelle classe pour gérer les accelerateurs au niveau UI
+- PspaApplication : Nouveau layout (suppression de la grille de fond)
+- GWt_LigneFaisceau, GWt_elementLigneFaisceau, GWt_console
+ - Changements mineurs
+- GWt_dropZoneLigneFaisceau : Changement de comportement du drop
+- dataManager : Ajout de méthode pour ajouter un secteur addNewSector() et du
+  vecteur de sector associé.
+- sector : Changement des noms setReflectedFrom en setDuplicatedFrom
+
+Ajout de la classe Section et quelques modifications dans le pspa.css
+
 11 Décembre 2013 : Laurent Garnier
-- Ajout de la classe Section et quelques modiications dans le pspa.css
+- Ajout de la classe Section et quelques modifications dans le pspa.css
 
 21 juin 2013  : Guy Le Meur
Index: /Interface_Web/trunk/pspaWT/cmt/requirements
===================================================================
--- /Interface_Web/trunk/pspaWT/cmt/requirements	(revision 448)
+++ /Interface_Web/trunk/pspaWT/cmt/requirements	(revision 449)
@@ -65,4 +65,6 @@
  ../sources/userInterface/src/GWt_draggableImage.cc \
  ../sources/userInterface/src/GWt_serverFileSelector.cc \
+ ../sources/userInterface/src/GWt_sector.cc \
+ ../sources/userInterface/src/GWt_accelerator.cc \
  ../sources/userInterface/src/GWt_sectionToExecute.cc
  
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 449)
@@ -13,4 +13,5 @@
 #include "parmelaParticle.h"
 #include "nomDeLogiciel.h"
+#include "sector.h"
 
 #include "sectorParameters.h" //xx
@@ -41,4 +42,12 @@
   abstractElement* addElement(nomdElements::typedElement elemType);
   void removeElement(string);
+  
+/** Add a new sector
+ */
+  sector* addNewSector();
+  
+  /** return all sectors
+   */
+  inline std::vector <sector*> getSectors() {return sectors_;};
   
   /**
@@ -102,5 +111,5 @@
   vector<unsigned> indexElementToIndexDiag_;
   vector<sectionToExecute*> jobList_;
-  
+  vector <sector*> sectors_;
   void removeFile(string nameOfFile);
   void clearSectionToExecute();
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/sector.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/sector.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/sector.h	(revision 449)
@@ -9,5 +9,5 @@
   public :
   
-  sector();
+  sector(std::string name = "sector default name");
   virtual ~sector();
   /**
@@ -21,11 +21,11 @@
 
   /**
-   Set the original sector from where this sector is reflected
+   Set the original sector from where this sector is reflected/duplicated
    */
-  inline void setReflectedFrom(sector* s) { reflectedFrom_ = s;};
+  inline void setDuplicatedFrom(sector* s) { duplicatedFrom_ = s;};
   /**
-   Get the original sector from where this sector is reflected. return NULL if not
+   Get the original sector from where this sector is reflected/duplicated. Return NULL if not
    */
-  inline sector* getReflectedFrom() { return reflectedFrom_;};
+  inline sector* getDuplicatedFrom() { return duplicatedFrom_;};
 
 
@@ -78,5 +78,5 @@
   std::string name_;
   bool reflected_;
-  sector* reflectedFrom_;
+  sector* duplicatedFrom_;
   unsigned int repetitionNumber_;
 };
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/dataManager.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/dataManager.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/dataManager.cc	(revision 449)
@@ -441,2 +441,14 @@
   }
 }
+
+sector* dataManager::addNewSector() {
+  std::stringstream str;
+  str << getSectors().size()+1;
+  std::string result;
+  str >> result;
+  
+  sector* sect = new sector(std::string("sector ") + result);
+  sectors_.push_back(sect);
+  return sect;
+}
+
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/sector.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/sector.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/sector.cc	(revision 449)
@@ -9,8 +9,9 @@
 #include "sector.h"
 
-sector::sector():
+sector::sector(std::string name):
 reflected_(false),
-reflectedFrom_(NULL),
-repetitionNumber_(1)
+duplicatedFrom_(NULL),
+repetitionNumber_(1),
+name_(name)
 {
   
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_console.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_console.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_console.h	(revision 449)
@@ -15,5 +15,5 @@
     
 public:
-  GWt_console();
+  GWt_console(WContainerWidget* parent);
   virtual ~GWt_console();
   void addConsoleMessage(WString msg);
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_dropZoneLigneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_dropZoneLigneFaisceau.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_dropZoneLigneFaisceau.h	(revision 449)
@@ -3,4 +3,5 @@
 
 #include "GWt_pspaApplication.h"
+#include "GWt_LigneFaisceau.h"
 
 #include <Wt/WContainerWidget>
@@ -13,7 +14,8 @@
     public :
     
-    GWt_dropZoneLigneFaisceau(PspaApplication* pspa_);
+    GWt_dropZoneLigneFaisceau(PspaApplication* pspa_,GWt_LigneFaisceau* parent);
     ~GWt_dropZoneLigneFaisceau();
-    
+    inline GWt_LigneFaisceau* getParent() {return parent_;};
+
 private:
     void initialise( PspaApplication* pspa);
@@ -24,4 +26,6 @@
     void mouseIsDragged(const WMouseEvent &e );
     void dropEvent(WDropEvent evt);
+
+  GWt_LigneFaisceau* parent_;
 };
 #endif
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 449)
@@ -31,6 +31,6 @@
      */
     
-    GWt_elementLigneFaisceau(PspaApplication*);
-    GWt_elementLigneFaisceau(nomdElements::typedElement,PspaApplication*);
+    GWt_elementLigneFaisceau(PspaApplication*,GWt_LigneFaisceau*);
+    GWt_elementLigneFaisceau(nomdElements::typedElement,PspaApplication*,GWt_LigneFaisceau*);
     
     ~GWt_elementLigneFaisceau();
@@ -67,5 +67,5 @@
     void removeDone(GWt_abstractElement*);
     std::string getElementNumberInBeamLine(nomdElements el);
-    void initialize_ligneFaisceau(nomdElements::typedElement eType);
+    void initialize_ligneFaisceau(nomdElements::typedElement eType,GWt_LigneFaisceau* ligne);
     void mouseWentOut();
     void mouseWentOver();
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 449)
@@ -26,5 +26,4 @@
 class GWt_LigneFaisceau : public WContainerWidget
 {
-    WHBoxLayout* ligneFaisceauLayout_;
     PspaApplication* pspa_;
     
@@ -86,5 +85,5 @@
     void manageLineFaisceauLayout();
     GWt_dropZoneLigneFaisceau* allDropZone_;
-    
+    WHBoxLayout* ligneFaisceauLayout_;
 };
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h	(revision 449)
@@ -72,10 +72,10 @@
       
   WText* createTitle(const WString&);
-  WWidget* createPalette();
+  WWidget* createPalette(WContainerWidget* parent);
   WWidget* createBeamLine();
   WWidget* createExecuteWidget();
   WContainerWidget* createDrawingWidget();
 
-  WWidget* createDashBoard();
+  WWidget* createDashBoard(WContainerWidget*);
   void messageBox1();
   void messageBox2();
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h	(revision 449)
@@ -25,5 +25,5 @@
  public :
   
-  GWt_softwarePanel(dataManager*, PspaApplication*);
+  GWt_softwarePanel(dataManager*, PspaApplication*,WContainerWidget*);
   virtual ~GWt_softwarePanel();
 
Index: terface_Web/trunk/pspaWT/sources/userInterface/src/File.cpp
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/File.cpp	(revision 448)
+++ 	(revision )
@@ -1,9 +1,0 @@
-//
-//  File.cpp
-//  PSPA
-//
-//  Created by Garnier Laurent on 02/03/13.
-//  Copyright (c) 2013 Garnier Laurent. All rights reserved.
-//
-
-#include "File.h"
Index: terface_Web/trunk/pspaWT/sources/userInterface/src/File.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/File.h	(revision 448)
+++ 	(revision )
@@ -1,14 +1,0 @@
-//
-//  File.h
-//  PSPA
-//
-//  Created by Garnier Laurent on 02/03/13.
-//  Copyright (c) 2013 Garnier Laurent. All rights reserved.
-//
-
-#ifndef __PSPA__File__
-#define __PSPA__File__
-
-#include <iostream>
-
-#endif /* defined(__PSPA__File__) */
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc	(revision 449)
@@ -13,5 +13,5 @@
 
 
-GWt_console::GWt_console() : WContainerWidget()
+GWt_console::GWt_console(WContainerWidget* parent) : WContainerWidget(parent)
 {
   setObjectName("console");
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc	(revision 449)
@@ -10,6 +10,7 @@
 #include "nomdElements.h"
 
-GWt_dropZoneLigneFaisceau::GWt_dropZoneLigneFaisceau( PspaApplication* pspa)
-  : WContainerWidget()
+GWt_dropZoneLigneFaisceau::GWt_dropZoneLigneFaisceau( PspaApplication* pspa,GWt_LigneFaisceau* parent)
+  : WContainerWidget(),
+parent_(parent)
 {
   initialise(pspa);
@@ -62,16 +63,8 @@
 void GWt_dropZoneLigneFaisceau::dropEvent(WDropEvent evt)
 {
-  // get LigneFaiseau widget and add new elementLigneFaiseau
-  GWt_LigneFaisceau* ligneFaisceau = NULL;
-  if ( static_cast<GWt_LigneFaisceau*> (wApp->findWidget ("ligneFaisceau"))) {
-    ligneFaisceau = static_cast<GWt_LigneFaisceau*> (wApp->findWidget ("ligneFaisceau"));
-  } else {
-    return;
-  }
-  
   // get the type of element
   nomdElements e(evt.mimeType());
   nomdElements::typedElement eType = e.getElementType();
-  ligneFaisceau->addElement(eType, this);
+  getParent()->addElement(eType, this);
 }
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 449)
@@ -19,5 +19,5 @@
 #define PSPA_DEBUG 1
 
-GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(PspaApplication* pspa)
+GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(PspaApplication* pspa,GWt_LigneFaisceau* ligne)
   : WContainerWidget(),
     firstTimeInsertMessage_(NULL),
@@ -28,9 +28,9 @@
     pspa_(pspa)
 {
-  initialize_ligneFaisceau(nomdElements::inconnu);
-}
-
-
-GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(nomdElements::typedElement type,PspaApplication* pspa)
+  initialize_ligneFaisceau(nomdElements::inconnu,ligne);
+}
+
+
+GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(nomdElements::typedElement type,PspaApplication* pspa,GWt_LigneFaisceau* ligne)
   : WContainerWidget(),
     firstTimeInsertMessage_(NULL),
@@ -43,8 +43,8 @@
   // set the css name
   setObjectName("elementLigneFaisceau");
-  initialize_ligneFaisceau(type);
-}
-
-void GWt_elementLigneFaisceau::initialize_ligneFaisceau(nomdElements::typedElement eType)
+  initialize_ligneFaisceau(type,ligne);
+}
+
+void GWt_elementLigneFaisceau::initialize_ligneFaisceau(nomdElements::typedElement eType,GWt_LigneFaisceau* ligne)
 {   
   cout << " new GWt_elementLigneFaisceau : "<< nomdElements::getLabelFromType(eType) << endl;
@@ -62,6 +62,6 @@
   
   // add first line :  initialize arrow and link images
-  dropZoneLeft_ = new GWt_dropZoneLigneFaisceau(pspa_);
-  dropZoneRight_ = new GWt_dropZoneLigneFaisceau(pspa_);
+  dropZoneLeft_ = new GWt_dropZoneLigneFaisceau(pspa_,ligne);
+  dropZoneRight_ = new GWt_dropZoneLigneFaisceau(pspa_,ligne);
   
   // change object name in order to manage css :
@@ -73,6 +73,6 @@
   
   // add first line :  initialize arrow and link images
-  dropZoneLeft_ = new GWt_dropZoneLigneFaisceau(pspa_);
-  dropZoneRight_ = new GWt_dropZoneLigneFaisceau(pspa_);
+  dropZoneLeft_ = new GWt_dropZoneLigneFaisceau(pspa_,ligne);
+  dropZoneRight_ = new GWt_dropZoneLigneFaisceau(pspa_,ligne);
   
   // change object name in order to manage css :
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 449)
@@ -16,8 +16,5 @@
 {
   
-  cout<<"GWt_LigneFaisceau::GWt_LigneFaisceau() %d"<< this << "<---------------"<< endl;
-    
   ligneFaisceauLayout_ = new WHBoxLayout();
-  //  decorationStyle().setBackgroundColor (WColor(245,245,245));
   ligneFaisceauLayout_->setContentsMargins(0,0,0,0);
   ligneFaisceauLayout_->setSpacing(0);
@@ -37,5 +34,5 @@
   // add the first drop zone
   decorationStyle().setBorder (WBorder (WBorder::Dotted));
-  allDropZone_ = new GWt_dropZoneLigneFaisceau(pspa_);
+  allDropZone_ = new GWt_dropZoneLigneFaisceau(pspa_,this);
   WVBoxLayout* fit = new WVBoxLayout();
   allDropZone_->setLayout(fit);
@@ -77,5 +74,5 @@
       ligneFaisceauLayout_->clear();
       // add first element
-      GWt_elementLigneFaisceau* elemLigneFaisceau = new GWt_elementLigneFaisceau(eType,pspa_);
+      GWt_elementLigneFaisceau* elemLigneFaisceau = new GWt_elementLigneFaisceau(eType,pspa_,this);
       ligneFaisceauLayout_->addWidget(elemLigneFaisceau,1);
       GWtAbstractElem = elemLigneFaisceau->getGWt_AbstractElement();
@@ -101,5 +98,5 @@
     
     //  ligneFaisceauLayout_->addWidget(new GWt_elementLigneFaiseau(ptr),0);
-    GWt_elementLigneFaisceau* elemLigneFaisceau = new GWt_elementLigneFaisceau(eType, pspa_);
+    GWt_elementLigneFaisceau* elemLigneFaisceau = new GWt_elementLigneFaisceau(eType, pspa_,this);
     if (index != -1) {
       ligneFaisceauLayout_->insertWidget(index,elemLigneFaisceau,1);
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 449)
@@ -6,4 +6,5 @@
 #include "GWt_abstractElementFactory.h"
 #include "GWt_serverFileSelector.h"
+#include "GWt_accelerator.h"
 #include "particleBeam.h"
 #include "bareParticle.h"
@@ -27,4 +28,6 @@
 #include <Wt/WRadioButton>
 #include <Wt/WMessageBox>
+#include <Wt/WScrollArea>
+#include <Wt/WLabel>
 
 #define HAS_IMAGEMAGIC 1
@@ -66,10 +69,9 @@
   
   // include the styleSheetcd 
-  WContainerWidget *widroot = root();
+  WContainerWidget *mainContainerWidget = root();
   useStyleSheet("htdocs/pspa.css");
   dtmanage_ = new dataManager(this);
 
   // The main layout is a 4x3 grid layout.
-  WGridLayout *mainGridLayout = new WGridLayout();  
   WHBoxLayout *toolbarLayout = new WHBoxLayout();
   
@@ -116,16 +118,32 @@
   toolbarLayout->addWidget(new WText("") , 1,Wt::AlignMiddle);
   
+  WGridLayout* gridLayout = new WGridLayout(mainContainerWidget);
+
   WContainerWidget * toolbarLayoutContainer = new WContainerWidget();
   toolbarLayoutContainer->setLayout(toolbarLayout);
   toolbarLayoutContainer->decorationStyle().setBackgroundImage ("/htdocs/fond_toolbar.png");
-    
-  mainGridLayout->addWidget(toolbarLayoutContainer, 1, 0, 1, 3);
-  mainGridLayout->addWidget(createPalette(), 2, 0, 4, 1);
-
-  WScrollArea* scroll = new  WScrollArea();
+  // menu menu on the top
+  gridLayout->addWidget(toolbarLayoutContainer, 1,0,1,2);
+  // palette on the left
+  gridLayout->addWidget(createPalette(mainContainerWidget), 2, 0);
+  
+  // create accelerator main widget
+  WContainerWidget* acceleratorContainerWidget = new WContainerWidget();
+  gridLayout->addWidget(acceleratorContainerWidget, 2, 1);
+
+  // Let column 2 take the excess space.
+  gridLayout->setColumnStretch(1,1);
+  // Let row 1 take the excess space.
+  gridLayout->setRowStretch(2,1);
+
+  
+  GWt_accelerator* accel = new GWt_accelerator(acceleratorContainerWidget,this);
+  new WBreak(acceleratorContainerWidget);
+
+  WScrollArea* scroll = new  WScrollArea(acceleratorContainerWidget);
   scroll->setWidget(createBeamLine());
   scroll->setMinimumSize(300,150);
-  mainGridLayout->addWidget(scroll, 2, 1, 1, 2);
-
+
+  new WBreak(acceleratorContainerWidget);
   //-----------
 
@@ -136,7 +154,9 @@
   globalParam_ = new GWt_globalParameters(dtmanage_);
   sectorParam_ = new GWt_sectorParameters(dtmanage_);
-  WWidget* dboard = createDashBoard();
+  WWidget* dboard = createDashBoard(acceleratorContainerWidget);
   dboard->setMinimumSize(300,100);
-  mainGridLayout->addWidget(dboard,3,1);
+
+  new WBreak(acceleratorContainerWidget);
+
   //-----------
 
@@ -146,22 +166,18 @@
   graphicsDialog_->hide();
   
-  executeWidget_ = new GWt_softwarePanel(dtmanage_,this);
+  executeWidget_ = new GWt_softwarePanel(dtmanage_,this,acceleratorContainerWidget);
   executeWidget_->setMinimumSize(400,100);
-  mainGridLayout->addWidget(executeWidget_,4,1);
-  
-  console_ = new GWt_console();
+  
+  new WBreak(acceleratorContainerWidget);
+  
+  console_ = new GWt_console(acceleratorContainerWidget);
   console_->setMinimumSize(300,100);
-  mainGridLayout->addWidget(console_,3,2,2,1);
-
-  // Let row 2 and column 1 take the excess space.
-  mainGridLayout->setRowStretch(4,1);
-  mainGridLayout->setColumnStretch(2,1);
-  
-  widroot->setLayout(mainGridLayout);
+
+  
   // set auto scrollbar if needed
-  widroot->setOverflow(WContainerWidget::OverflowAuto);
-}
-
-WWidget* PspaApplication::createDashBoard()
+  mainContainerWidget->setOverflow(WContainerWidget::OverflowAuto);
+}
+
+WWidget* PspaApplication::createDashBoard(WContainerWidget* parent)
 {
   WContainerWidget *wt= new WContainerWidget();
@@ -185,5 +201,5 @@
   cnt->addWidget(wt);
 
-  WContainerWidget *result = new WContainerWidget();
+  WContainerWidget *result = new WContainerWidget(parent);
   WPanel *panel = new WPanel(result);
   panel->setTitle("dashboard");
@@ -207,7 +223,7 @@
 }
 
-WWidget* PspaApplication::createPalette()
-{
-  WContainerWidget* palette = new WContainerWidget();
+WWidget* PspaApplication::createPalette(WContainerWidget* parent)
+{
+  WContainerWidget* palette = new WContainerWidget(parent);
   vector <GWt_abstractElement*> elems = abstractElementFactory_->getAllElements();
   for (unsigned a = 0; a < elems.size(); a++) {
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 448)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 449)
@@ -23,6 +23,6 @@
 #define BAVARD 0
 
-GWt_softwarePanel::GWt_softwarePanel(dataManager* dataManager,PspaApplication* pspa)
-  : WContainerWidget() 
+GWt_softwarePanel::GWt_softwarePanel(dataManager* dataManager,PspaApplication* pspa,WContainerWidget* parent)
+  : WContainerWidget(parent)
 {
   dtmanage_ = dataManager;