Index: /Interface_Web/trunk/pspaWT/History
===================================================================
--- /Interface_Web/trunk/pspaWT/History	(revision 452)
+++ /Interface_Web/trunk/pspaWT/History	(revision 453)
@@ -5,4 +5,8 @@
      PSPA - Plateforme de simulation en physique des accÃ©lÃ©rateurs
      =========================================================
+
+12 Décembre 2013 : Laurent Garnier
+- Renommage de GWt_LigneFaisceau en GWt_ligneFaisceau dans tout les fichiers
+  pour plus de cohérence.
 
 12 Décembre 2013 : Laurent Garnier
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_dropZoneLigneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_dropZoneLigneFaisceau.h	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_dropZoneLigneFaisceau.h	(revision 453)
@@ -14,7 +14,7 @@
     public :
     
-    GWt_dropZoneLigneFaisceau(PspaApplication* pspa_,GWt_LigneFaisceau* parent);
+    GWt_dropZoneLigneFaisceau(PspaApplication* pspa_,GWt_ligneFaisceau* parent);
     ~GWt_dropZoneLigneFaisceau();
-    inline GWt_LigneFaisceau* getParent() {return parent_;};
+    inline GWt_ligneFaisceau* getParent() {return parent_;};
 
 private:
@@ -27,5 +27,5 @@
     void dropEvent(WDropEvent evt);
 
-  GWt_LigneFaisceau* parent_;
+  GWt_ligneFaisceau* parent_;
 };
 #endif
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_elementLigneFaisceau.h	(revision 453)
@@ -31,6 +31,6 @@
      */
     
-    GWt_elementLigneFaisceau(PspaApplication*,GWt_LigneFaisceau*);
-    GWt_elementLigneFaisceau(nomdElements::typedElement,PspaApplication*,GWt_LigneFaisceau*);
+    GWt_elementLigneFaisceau(PspaApplication*,GWt_ligneFaisceau*);
+    GWt_elementLigneFaisceau(nomdElements::typedElement,PspaApplication*,GWt_ligneFaisceau*);
     
     ~GWt_elementLigneFaisceau();
@@ -67,5 +67,5 @@
     void removeDone(GWt_abstractElement*);
     std::string getElementNumberInBeamLine(nomdElements el);
-    void initialize_ligneFaisceau(nomdElements::typedElement eType,GWt_LigneFaisceau* ligne);
+    void initialize_ligneFaisceau(nomdElements::typedElement eType,GWt_ligneFaisceau* ligne);
     void mouseWentOut();
     void mouseWentOver();
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 453)
@@ -1,4 +1,4 @@
-#ifndef GWt_LIGNEFAISCEAU_SEEN
-#define GWt_LIGNEFAISCEAU_SEEN
+#ifndef GWt_ligneFaisceau_SEEN
+#define GWt_ligneFaisceau_SEEN
 
 #include "dataManager.h"
@@ -24,5 +24,5 @@
 };
 
-class GWt_LigneFaisceau : public WContainerWidget
+class GWt_ligneFaisceau : public WContainerWidget
 {
     PspaApplication* pspa_;
@@ -30,6 +30,6 @@
     public :
     
-    GWt_LigneFaisceau() {;}
-    GWt_LigneFaisceau(PspaApplication*);
+    GWt_ligneFaisceau() {;}
+    GWt_ligneFaisceau(PspaApplication*);
     
     /**
@@ -47,5 +47,5 @@
     void removeElement(GWt_abstractElement*);
     
-    ~GWt_LigneFaisceau() {;}
+    ~GWt_ligneFaisceau() {;}
     
     /** return the abstract element at a position
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h	(revision 453)
@@ -45,5 +45,5 @@
   WLineEdit* saveNameEdit_;
   WLineEdit* openNameEdit_;
-  GWt_LigneFaisceau* beamLine_;
+  GWt_ligneFaisceau* beamLine_;
     
   GWt_globalParameters* globalParam_;
@@ -126,5 +126,5 @@
   }
 
-  inline GWt_LigneFaisceau* getBeamLine() {
+  inline GWt_ligneFaisceau* getBeamLine() {
     return beamLine_;
   }
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sector.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sector.h	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sector.h	(revision 453)
@@ -22,5 +22,5 @@
 
   private :
-  GWt_LigneFaisceau* beamLine_;
+  GWt_ligneFaisceau* beamLine_;
   void setIcon(WLayout*);
   void displayWidgetBeamLine();
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_abstractElement.cc	(revision 453)
@@ -82,7 +82,7 @@
   }
   // get LigneFaiseau widget and add new elementLigneFaiseau
-  GWt_LigneFaisceau* ligneFaisceau = NULL;
-  if ( static_cast<GWt_LigneFaisceau*> (wApp->findWidget ("ligneFaisceau"))) {
-    ligneFaisceau = static_cast<GWt_LigneFaisceau*> (wApp->findWidget ("ligneFaisceau"));
+  GWt_ligneFaisceau* ligneFaisceau = NULL;
+  if ( static_cast<GWt_ligneFaisceau*> (wApp->findWidget ("ligneFaisceau"))) {
+    ligneFaisceau = static_cast<GWt_ligneFaisceau*> (wApp->findWidget ("ligneFaisceau"));
   } else {
     return;
@@ -111,7 +111,7 @@
   
   // update parameters
-  GWt_LigneFaisceau* ligneFaisceau = NULL;
-  if ( static_cast<GWt_LigneFaisceau*> (wApp->findWidget ("ligneFaisceau"))) {
-    ligneFaisceau = static_cast<GWt_LigneFaisceau*> (wApp->findWidget ("ligneFaisceau"));
+  GWt_ligneFaisceau* ligneFaisceau = NULL;
+  if ( static_cast<GWt_ligneFaisceau*> (wApp->findWidget ("ligneFaisceau"))) {
+    ligneFaisceau = static_cast<GWt_ligneFaisceau*> (wApp->findWidget ("ligneFaisceau"));
     ligneFaisceau->update();
   }
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_dropZoneLigneFaisceau.cc	(revision 453)
@@ -10,5 +10,5 @@
 #include "nomdElements.h"
 
-GWt_dropZoneLigneFaisceau::GWt_dropZoneLigneFaisceau( PspaApplication* pspa,GWt_LigneFaisceau* parent)
+GWt_dropZoneLigneFaisceau::GWt_dropZoneLigneFaisceau( PspaApplication* pspa,GWt_ligneFaisceau* parent)
   : WContainerWidget(),
 parent_(parent)
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_elementLigneFaisceau.cc	(revision 453)
@@ -19,5 +19,5 @@
 #define PSPA_DEBUG 1
 
-GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(PspaApplication* pspa,GWt_LigneFaisceau* ligne)
+GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(PspaApplication* pspa,GWt_ligneFaisceau* ligne)
   : WContainerWidget(),
     firstTimeInsertMessage_(NULL),
@@ -32,5 +32,5 @@
 
 
-GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(nomdElements::typedElement type,PspaApplication* pspa,GWt_LigneFaisceau* ligne)
+GWt_elementLigneFaisceau::GWt_elementLigneFaisceau(nomdElements::typedElement type,PspaApplication* pspa,GWt_ligneFaisceau* ligne)
   : WContainerWidget(),
     firstTimeInsertMessage_(NULL),
@@ -46,5 +46,5 @@
 }
 
-void GWt_elementLigneFaisceau::initialize_ligneFaisceau(nomdElements::typedElement eType,GWt_LigneFaisceau* ligne)
+void GWt_elementLigneFaisceau::initialize_ligneFaisceau(nomdElements::typedElement eType,GWt_ligneFaisceau* ligne)
 {   
   cout << " new GWt_elementLigneFaisceau : "<< nomdElements::getLabelFromType(eType) << endl;
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 453)
@@ -11,5 +11,5 @@
 
 
-GWt_LigneFaisceau::GWt_LigneFaisceau(PspaApplication* ps) :
+GWt_ligneFaisceau::GWt_ligneFaisceau(PspaApplication* ps) :
   WContainerWidget(),
   pspa_(ps)
@@ -28,5 +28,5 @@
 
 
-void GWt_LigneFaisceau::clear() 
+void GWt_ligneFaisceau::clear() 
 {
   ligneFaisceauLayout_->clear();
@@ -43,9 +43,9 @@
 
 
-GWt_abstractElement* GWt_LigneFaisceau::addElement(nomdElements::typedElement eType){
+GWt_abstractElement* GWt_ligneFaisceau::addElement(nomdElements::typedElement eType){
   return addElement(eType,NULL);
 }
 
-GWt_abstractElement* GWt_LigneFaisceau::addElement(nomdElements::typedElement eType, GWt_dropZoneLigneFaisceau* dropContainer )
+GWt_abstractElement* GWt_ligneFaisceau::addElement(nomdElements::typedElement eType, GWt_dropZoneLigneFaisceau* dropContainer )
 {
 
@@ -59,5 +59,5 @@
   
   if(eType == nomdElements::inconnu) {
-    cout << "GWt_LigneFaisceau::element type " << eType << " inconnu " << endl;
+    cout << "GWt_ligneFaisceau::element type " << eType << " inconnu " << endl;
     return NULL;
   }
@@ -113,5 +113,5 @@
 
 
-void GWt_LigneFaisceau::manageLineFaisceauLayout() {
+void GWt_ligneFaisceau::manageLineFaisceauLayout() {
   // special : hide/setVisible arrow :
   for (int a=0; a< ligneFaisceauLayout_->count(); a++) {
@@ -156,10 +156,10 @@
 
 
-void GWt_LigneFaisceau::update() {
+void GWt_ligneFaisceau::update() {
   manageLineFaisceauLayout();
 }
 
 
-void GWt_LigneFaisceau::removeElement(GWt_abstractElement* GWt_abstractElement) {
+void GWt_ligneFaisceau::removeElement(GWt_abstractElement* GWt_abstractElement) {
   if (GWt_abstractElement == NULL)
     return;
@@ -191,5 +191,5 @@
 
 
-abstractElement* GWt_LigneFaisceau::getAbstractElement(int i){
+abstractElement* GWt_ligneFaisceau::getAbstractElement(int i){
     int index = 0;
     if (i < 0) {
@@ -215,5 +215,5 @@
 
 
-int GWt_LigneFaisceau::getAbstractElementNumeroFromLabel(std::string txt){
+int GWt_ligneFaisceau::getAbstractElementNumeroFromLabel(std::string txt){
     int index = 1;
     if (txt == "") {
@@ -241,5 +241,5 @@
 
 
-int GWt_LigneFaisceau::getBeamLineSize() {
+int GWt_ligneFaisceau::getBeamLineSize() {
   int count = 0;
   for (int a=0; a< ligneFaisceauLayout_->count(); a++) {
@@ -252,5 +252,5 @@
 
 
-vector <abstractElement*> GWt_LigneFaisceau::getAllAbstractElements()
+vector <abstractElement*> GWt_ligneFaisceau::getAllAbstractElements()
 {
   vector <abstractElement*> elems;
@@ -263,5 +263,5 @@
 }
 
-void GWt_LigneFaisceau::update(int i){
+void GWt_ligneFaisceau::update(int i){
     int index = 0;
     
@@ -280,8 +280,8 @@
 
 
-void GWt_LigneFaisceau::initializeSoftwares()
+void GWt_ligneFaisceau::initializeSoftwares()
 {    
   vector <abstractElement*> elems = getAllAbstractElements();
-  cout << "GWt_LigneFaisceau::initializeSoftwares() " << elems.size() << endl;
+  cout << "GWt_ligneFaisceau::initializeSoftwares() " << elems.size() << endl;
 
   for (int a = 0; a < elems.size(); a++) {
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 453)
@@ -249,5 +249,5 @@
   extensionFile_= 0;
   if (!beamLine_) {
-    beamLine_ = new GWt_LigneFaisceau(this);
+    beamLine_ = new GWt_ligneFaisceau(this);
   } else {
     beamLine_->clear();
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc	(revision 452)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc	(revision 453)
@@ -110,5 +110,5 @@
   
   // Add beamLine for this sector
-  beamLine_ = new GWt_LigneFaisceau(pspa);
+  beamLine_ = new GWt_ligneFaisceau(pspa);
   vContainerLayout->addWidget(beamLine_);
   wdg->setLayout(vContainerLayout);